Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1571504 - [abrt] python2-pytz: module(): tzfile.py:132:<module>:IOError: [Errno 2] No such file or directory: '/usr/lib/python2.7/site-packages/pytz/zoneinfo/Australia/Melbourne'
Summary: [abrt] python2-pytz: module(): tzfile.py:132:<module>:IOError: [Errno 2] No s...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: pytz
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jef Spaleta
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:62e114ffa83dc2cf8c80031d840...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-25 02:50 UTC by Doncho Gunchev
Modified: 2018-05-29 11:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:19:48 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (1.46 KB, text/plain)
2018-04-25 02:50 UTC, Doncho Gunchev
no flags Details
File: cgroup (289 bytes, text/plain)
2018-04-25 02:50 UTC, Doncho Gunchev
no flags Details
File: cpuinfo (1.39 KB, text/plain)
2018-04-25 02:50 UTC, Doncho Gunchev
no flags Details
File: machineid (135 bytes, text/plain)
2018-04-25 02:50 UTC, Doncho Gunchev
no flags Details
File: namespaces (102 bytes, text/plain)
2018-04-25 02:50 UTC, Doncho Gunchev
no flags Details

Description Doncho Gunchev 2018-04-25 02:50:17 UTC
Description of problem:
The problem is that in /usr/lib/python2.7/site-packages/pytz/tzfile.py line 130
    base = os.path.join(os.path.dirname(__file__), 'zoneinfo')
should be changed to
    base = '/usr/share/zoneinfo'
to make it usable with the system provided zone info, or like
    _tzinfo_dir = os.getenv("TZDIR") or "/usr/share/zoneinfo"
from __init__.py...

Not a big problem, but also not a big change...

Version-Release number of selected component:
python2-pytz-2017.2-7.fc26

Additional info:
reporter:       libreport-2.9.1
cmdline:        python /usr/lib/python2.7/site-packages/pytz/tzfile.py
crash_function: module
environ:        
exception_type: IOError
executable:     /usr/lib/python2.7/site-packages/pytz/tzfile.py
kernel:         4.15.16-200.fc26.x86_64
mountinfo:      
open_fds:       
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
tzfile.py:132:<module>:IOError: [Errno 2] No such file or directory: '/usr/lib/python2.7/site-packages/pytz/zoneinfo/Australia/Melbourne'

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/pytz/tzfile.py", line 132, in <module>
    open(os.path.join(base,'Australia','Melbourne'), 'rb'))
IOError: [Errno 2] No such file or directory: '/usr/lib/python2.7/site-packages/pytz/zoneinfo/Australia/Melbourne'

Local variables in innermost frame:
DstTzInfo: <class 'pytz.tzinfo.DstTzInfo'>
datetime: <type 'datetime.datetime'>
_NULL: '\x00'
build_tzinfo: <function build_tzinfo at 0x7f0a15c7a938>
_byte_string: <function _byte_string at 0x7f0a15c5fd70>
pprint: <function pprint at 0x7f0a15c7aa28>
__package__: None
memorized_datetime: <function memorized_datetime at 0x7f0a15c592a8>
__doc__: '\n$Id: tzfile.py,v 1.8 2004/06/03 00:15:24 zenzen Exp $\n'
timedelta: <type 'datetime.timedelta'>
__builtins__: <module '__builtin__' (built-in)>
__file__: '/usr/lib/python2.7/site-packages/pytz/tzfile.py'
base: '/usr/lib/python2.7/site-packages/pytz/zoneinfo'
_std_string: <function _std_string at 0x7f0a15c7a8c0>
memorized_ttinfo: <function memorized_ttinfo at 0x7f0a15c591b8>
memorized_timedelta: <function memorized_timedelta at 0x7f0a15c59230>
unpack: <built-in function unpack>
StaticTzInfo: <class 'pytz.tzinfo.StaticTzInfo'>
StringIO: <built-in function StringIO>
__name__: '__main__'
calcsize: <built-in function calcsize>
os: <module 'os' from '/usr/lib64/python2.7/os.pyc'>

Comment 1 Doncho Gunchev 2018-04-25 02:50:25 UTC
Created attachment 1426340 [details]
File: backtrace

Comment 2 Doncho Gunchev 2018-04-25 02:50:27 UTC
Created attachment 1426341 [details]
File: cgroup

Comment 3 Doncho Gunchev 2018-04-25 02:50:29 UTC
Created attachment 1426342 [details]
File: cpuinfo

Comment 4 Doncho Gunchev 2018-04-25 02:50:31 UTC
Created attachment 1426343 [details]
File: machineid

Comment 5 Doncho Gunchev 2018-04-25 02:50:33 UTC
Created attachment 1426344 [details]
File: namespaces

Comment 6 Fedora End Of Life 2018-05-03 07:50:58 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2018-05-29 11:19:48 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.